Subject: First Sightings, '95 season

From: Ronald Wankel <[email-masked]>
Date: Sun, 19 Mar 1995 20:14:05 -0500

First sighting of the '95 season-Mourning cloak, N. antiopa, a holdover, Mar
11 @13:10, t=61 F. First sighting newly eclosed butterfly- Spring azure,
Celastrina ladon-Mar 12, @ 13:35, t=64 F.at Kingsport, Tn. (extreme northeast
Tennessee).                                       Ron Wankel

                                         Kingsport,Tn